//+--------------------------------------------------------------------------
//|
//| mandelbrot.cpp - displays a mandelbrot set in a X window.
//|
//| This file is part of a larger package; see the README supplied with
//| this for information about the package, how to build and how to run
//| it.
//|
//| (c) 2002, 2020 Dietmar Koenig <http://www.faoileag.de>
//|
//| This program is free software: you can redistribute it and/or modify
//| it under the terms of the GNU General Public License as published by
//| the Free Software Foundation, either version 3 of the License, or
//| (at your option) any later version.
//|
//| This program is distributed in the hope that it will be useful,
//| but WITHOUT ANY WARRANTY; without even the implied warranty of
//| MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//| GNU General Public License for more details.
//|
//| You should have received a copy of the GNU General Public License
//| along with this program.  If not, see <https://www.gnu.org/licenses/>.
//|
//+--------------------------------------------------------------------------
#include "xmandelbrot.h"

//+--------------------------------------------------------------------------+
//|                                                                          |
//| int main(int argc, char** argv)                                          |
//|                                                                          |
//+--------------------------------------------------------------------------+
int main(int argc, char** argv) {
	// parse command line arguments:
	args_t* args = parseargs((int)argc, (char**)argv);
	if (!strcmp(args->title, ""))
		strnzcpy(args->title, argv[0], sizeof(args->title));

	// instantiate window object:
	XMandelbrot* xmandelbrot =
		new XMandelbrot(args->x, args->y,
			args->width, args->height,
			(char*)args->title,
			args->canvaswidth,
			args->canvasheight,
			args->immediate,
			args->verbosity,
			(char*)args->filename,
			args->infinity,
			args->noaspect,
			args->function,
			args->pmin, args->pmax,
			args->qmax, args->qmin,
			(int)argc, (char**)argv);
	delete(args);
//	if (xmandelbrot->error) {
//		fprintf(stderr, "%s: \"%s\"\n", argv[0], xmandelbrot->errmsg);
//		delete(xmandelbrot);
//		 == 0)
//	}
	int res = xmandelbrot->Run();
	delete(xmandelbrot);
	exit(0);
}
