//+--------------------------------------------------------------------------
//|
//| utilities.h - declaration of some helpful functions
//|
//| This file is part of a larger package; see the README supplied with
//| this for information about the package, how to build and how to run
//| it.
//|
//| (c) 2002, 2020 Dietmar Koenig <http://www.faoileag.de>
//|
//| This program is free software: you can redistribute it and/or modify
//| it under the terms of the GNU General Public License as published by
//| the Free Software Foundation, either version 3 of the License, or
//| (at your option) any later version.
//|
//| This program is distributed in the hope that it will be useful,
//| but WITHOUT ANY WARRANTY; without even the implied warranty of
//| MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//| GNU General Public License for more details.
//|
//| You should have received a copy of the GNU General Public License
//| along with this program.  If not, see <https://www.gnu.org/licenses/>.
//|
//+--------------------------------------------------------------------------
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <ctype.h>

//+--------------------------------------------------------------------------+
//|                                                                          |
//| Some defines:                                                            |
//|                                                                          |
//+--------------------------------------------------------------------------+
#define SMALLSTRING      256
#define MEDIUMSTRING    1024
#define LONGSTRING      4096

//+--------------------------------------------------------------------------+
//|                                                                          |
//| Some functions that make things a wee bit easier:                        | 
//|                                                                          |
//+--------------------------------------------------------------------------+
char* strnzcpy(char* dest, char* src, unsigned int n);
char* strnzcat(char* dest, char* src, unsigned int n);
char* uuidgen(char* uuid);
char* gettime(char* timebuf, int sizeoftimebuf, char* format);
