//+--------------------------------------------------------------------------
//|
//| xmandelbrotcolors.cpp - provides a class that in turn provides colors
//|
//| This file is part of a larger package; see the README supplied with
//| this for information about the package, how to build and how to run
//| it.
//|
//| (c) 2002, 2020 Dietmar Koenig <http://www.faoileag.de>
//|
//| This program is free software: you can redistribute it and/or modify
//| it under the terms of the GNU General Public License as published by
//| the Free Software Foundation, either version 3 of the License, or
//| (at your option) any later version.
//|
//| This program is distributed in the hope that it will be useful,
//| but WITHOUT ANY WARRANTY; without even the implied warranty of
//| MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//| GNU General Public License for more details.
//|
//| You should have received a copy of the GNU General Public License
//| along with this program.  If not, see <https://www.gnu.org/licenses/>.
//|
//+--------------------------------------------------------------------------
#include "xmandelbrotcolors.h"

//+--------------------------------------------------------------------------+
//|                                                                          |
//| XMandelbrotColors::XMandelbrotColors()                                   |
//|                                                                          |
//| The default constructor. Initializes the color set.                      |
//|                                                                          |
//+--------------------------------------------------------------------------+
XMandelbrotColors::XMandelbrotColors() {
    this->red[0]=0x0000; this->green[0]=0x0000; this->blue[0]=0x0000; // black
    this->red[1]=0xff00; this->green[1]=0xfa00; this->blue[1]=0xfa00; // snow
    this->red[2]=0xf800; this->green[2]=0xf800; this->blue[2]=0xff00; // ghost white
    this->red[3]=0xf500; this->green[3]=0xf500; this->blue[3]=0xf500; // white smoke
    this->red[4]=0xdc00; this->green[4]=0xdc00; this->blue[4]=0xdc00; // gainsboro
    this->red[5]=0xff00; this->green[5]=0xfa00; this->blue[5]=0xf000; // floral white
    this->red[6]=0xfd00; this->green[6]=0xf500; this->blue[6]=0xe600; // old lace
    this->red[7]=0xfa00; this->green[7]=0xf000; this->blue[7]=0xe600; // linen
    this->red[8]=0xfa00; this->green[8]=0xeb00; this->blue[8]=0xd700; // antique white
    this->red[9]=0xff00; this->green[9]=0xef00; this->blue[9]=0xd500; // papaya whip
    this->red[10]=0xff00; this->green[10]=0xeb00; this->blue[10]=0xcd00; // blanched almond
    this->red[11]=0xff00; this->green[11]=0xe400; this->blue[11]=0xc400; // bisque
    this->red[12]=0xff00; this->green[12]=0xda00; this->blue[12]=0xb900; // peach puff
    this->red[13]=0xff00; this->green[13]=0xde00; this->blue[13]=0xad00; // navajo white
    this->red[14]=0xff00; this->green[14]=0xe400; this->blue[14]=0xb500; // moccasin
    this->red[15]=0xff00; this->green[15]=0xf800; this->blue[15]=0xdc00; // cornsilk
    this->red[16]=0xff00; this->green[16]=0xff00; this->blue[16]=0xf000; // ivory
    this->red[17]=0xff00; this->green[17]=0xfa00; this->blue[17]=0xcd00; // lemon chiffon
    this->red[18]=0xff00; this->green[18]=0xf500; this->blue[18]=0xee00; // seashell
    this->red[19]=0xf000; this->green[19]=0xff00; this->blue[19]=0xf000; // honeydew
    this->red[20]=0xf500; this->green[20]=0xff00; this->blue[20]=0xfa00; // mint cream
    this->red[21]=0xf000; this->green[21]=0xff00; this->blue[21]=0xff00; // azure
    this->red[22]=0xf000; this->green[22]=0xf800; this->blue[22]=0xff00; // alice blue
    this->red[23]=0xe600; this->green[23]=0xe600; this->blue[23]=0xfa00; // lavender
    this->red[24]=0xff00; this->green[24]=0xf000; this->blue[24]=0xf500; // lavender blush
    this->red[25]=0xff00; this->green[25]=0xe400; this->blue[25]=0xe100; // misty rose
    this->red[26]=0xff00; this->green[26]=0xff00; this->blue[26]=0xff00; // white
    this->red[27]=0x0000; this->green[27]=0x0000; this->blue[27]=0x0000; // black
    this->red[28]=0x1900; this->green[28]=0x1900; this->blue[28]=0x7000; // midnight blue
    this->red[29]=0x0000; this->green[29]=0x0000; this->blue[29]=0x8000; // navy
    this->red[30]=0x6400; this->green[30]=0x9500; this->blue[30]=0xed00; // cornflower blue
    this->red[31]=0x4800; this->green[31]=0x3d00; this->blue[31]=0x8b00; // dark slate blue
    this->red[32]=0x6a00; this->green[32]=0x5a00; this->blue[32]=0xcd00; // slate blue
    this->red[33]=0x7b00; this->green[33]=0x6800; this->blue[33]=0xee00; // medium slate blue
    this->red[34]=0x8400; this->green[34]=0x7000; this->blue[34]=0xff00; // light slate blue
    this->red[35]=0x0000; this->green[35]=0x0000; this->blue[35]=0xcd00; // medium blue
    this->red[36]=0x4100; this->green[36]=0x6900; this->blue[36]=0xe100; // royal blue
    this->red[37]=0x0000; this->green[37]=0x0000; this->blue[37]=0xff00; // blue
    this->red[38]=0x1e00; this->green[38]=0x9000; this->blue[38]=0xff00; // dodger blue
    this->red[39]=0x0000; this->green[39]=0xbf00; this->blue[39]=0xff00; // deep sky blue
    this->red[40]=0x8700; this->green[40]=0xce00; this->blue[40]=0xeb00; // sky blue
    this->red[41]=0x8700; this->green[41]=0xce00; this->blue[41]=0xfa00; // light sky blue
    this->red[42]=0x4600; this->green[42]=0x8200; this->blue[42]=0xb400; // steel blue
    this->red[43]=0xb000; this->green[43]=0xc400; this->blue[43]=0xde00; // light steel blue
    this->red[44]=0xad00; this->green[44]=0xd800; this->blue[44]=0xe600; // light blue
    this->red[45]=0xb000; this->green[45]=0xe000; this->blue[45]=0xe600; // powder blue
    this->red[46]=0xaf00; this->green[46]=0xee00; this->blue[46]=0xee00; // pale turquoise
    this->red[47]=0x0000; this->green[47]=0xce00; this->blue[47]=0xd100; // dark turquoise
    this->red[48]=0x4800; this->green[48]=0xd100; this->blue[48]=0xcc00; // medium turquoise
    this->red[49]=0x4000; this->green[49]=0xe000; this->blue[49]=0xd000; // turquoise
    this->red[50]=0x0000; this->green[50]=0xff00; this->blue[50]=0xff00; // cyan
    this->red[51]=0xe000; this->green[51]=0xff00; this->blue[51]=0xff00; // light cyan
    this->red[52]=0x5f00; this->green[52]=0x9e00; this->blue[52]=0xa000; // cadet blue
    this->red[53]=0x6600; this->green[53]=0xcd00; this->blue[53]=0xaa00; // medium aquamarine
    this->red[54]=0x7f00; this->green[54]=0xff00; this->blue[54]=0xd400; // aquamarine
    this->red[55]=0x0000; this->green[55]=0x6400; this->blue[55]=0x0000; // dark green
    this->red[56]=0x5500; this->green[56]=0x6b00; this->blue[56]=0x2f00; // dark olive green
    this->red[57]=0x8f00; this->green[57]=0xbc00; this->blue[57]=0x8f00; // dark sea green
    this->red[58]=0x2e00; this->green[58]=0x8b00; this->blue[58]=0x5700; // sea green
    this->red[59]=0x3c00; this->green[59]=0xb300; this->blue[59]=0x7100; // medium sea green
    this->red[60]=0x2000; this->green[60]=0xb200; this->blue[60]=0xaa00; // light sea green
    this->red[61]=0x9800; this->green[61]=0xfb00; this->blue[61]=0x9800; // pale green
    this->red[62]=0x0000; this->green[62]=0xff00; this->blue[62]=0x7f00; // spring green
    this->red[63]=0x7c00; this->green[63]=0xfc00; this->blue[63]=0x0000; // lawn green
    this->red[64]=0x0000; this->green[64]=0xff00; this->blue[64]=0x0000; // green
    this->red[65]=0x7f00; this->green[65]=0xff00; this->blue[65]=0x0000; // chartreuse
    this->red[66]=0x0000; this->green[66]=0xfa00; this->blue[66]=0x9a00; // medium spring green
    this->red[67]=0xad00; this->green[67]=0xff00; this->blue[67]=0x2f00; // green yellow
    this->red[68]=0x3200; this->green[68]=0xcd00; this->blue[68]=0x3200; // lime green
    this->red[69]=0x9a00; this->green[69]=0xcd00; this->blue[69]=0x3200; // yellow green
    this->red[70]=0x2200; this->green[70]=0x8b00; this->blue[70]=0x2200; // forest green
    this->red[71]=0x6b00; this->green[71]=0x8e00; this->blue[71]=0x2300; // olive drab
    this->red[72]=0xbd00; this->green[72]=0xb700; this->blue[72]=0x6b00; // dark khaki
    this->red[73]=0xf000; this->green[73]=0xe600; this->blue[73]=0x8c00; // khaki
    this->red[74]=0xee00; this->green[74]=0xe800; this->blue[74]=0xaa00; // pale goldenrod
    this->red[75]=0xfa00; this->green[75]=0xfa00; this->blue[75]=0xd200; // light goldenrod yellow
    this->red[76]=0xff00; this->green[76]=0xff00; this->blue[76]=0xe000; // light yellow
    this->red[77]=0xff00; this->green[77]=0xff00; this->blue[77]=0x0000; // yellow
    this->red[78]=0xff00; this->green[78]=0xd700; this->blue[78]=0x0000; // gold
    this->red[79]=0xee00; this->green[79]=0xdd00; this->blue[79]=0x8200; // light goldenrod
    this->red[80]=0xda00; this->green[80]=0xa500; this->blue[80]=0x2000; // goldenrod
    this->red[81]=0xb800; this->green[81]=0x8600; this->blue[81]=0x0b00; // dark goldenrod
    this->red[82]=0xbc00; this->green[82]=0x8f00; this->blue[82]=0x8f00; // rosy brown
    this->red[83]=0xcd00; this->green[83]=0x5c00; this->blue[83]=0x5c00; // indian red
    this->red[84]=0x8b00; this->green[84]=0x4500; this->blue[84]=0x1300; // saddle brown
    this->red[85]=0xa000; this->green[85]=0x5200; this->blue[85]=0x2d00; // sienna
    this->red[86]=0xcd00; this->green[86]=0x8500; this->blue[86]=0x3f00; // peru
    this->red[87]=0xde00; this->green[87]=0xb800; this->blue[87]=0x8700; // burlywood
    this->red[88]=0xf500; this->green[88]=0xf500; this->blue[88]=0xdc00; // beige
    this->red[89]=0xf500; this->green[89]=0xde00; this->blue[89]=0xb300; // wheat
    this->red[90]=0xf400; this->green[90]=0xa400; this->blue[90]=0x6000; // sandy brown
    this->red[91]=0xd200; this->green[91]=0xb400; this->blue[91]=0x8c00; // tan
    this->red[92]=0xd200; this->green[92]=0x6900; this->blue[92]=0x1e00; // chocolate
    this->red[93]=0xb200; this->green[93]=0x2200; this->blue[93]=0x2200; // firebrick
    this->red[94]=0xa500; this->green[94]=0x2a00; this->blue[94]=0x2a00; // brown
    this->red[95]=0xe900; this->green[95]=0x9600; this->blue[95]=0x7a00; // dark salmon
    this->red[96]=0xfa00; this->green[96]=0x8000; this->blue[96]=0x7200; // salmon
    this->red[97]=0xff00; this->green[97]=0xa000; this->blue[97]=0x7a00; // light salmon
    this->red[98]=0xff00; this->green[98]=0xa500; this->blue[98]=0x0000; // orange
    this->red[99]=0xff00; this->green[99]=0x8c00; this->blue[99]=0x0000; // dark orange
    this->red[100]=0xff00; this->green[100]=0x7f00; this->blue[100]=0x5000; // coral
    this->red[101]=0xf000; this->green[101]=0x8000; this->blue[101]=0x8000; // light coral
    this->red[102]=0xff00; this->green[102]=0x6300; this->blue[102]=0x4700; // tomato
    this->red[103]=0xff00; this->green[103]=0x4500; this->blue[103]=0x0000; // orange red
    this->red[104]=0xff00; this->green[104]=0x0000; this->blue[104]=0x0000; // red
    this->red[105]=0xff00; this->green[105]=0x6900; this->blue[105]=0xb400; // hot pink
    this->red[106]=0xff00; this->green[106]=0x1400; this->blue[106]=0x9300; // deep pink
    this->red[107]=0xff00; this->green[107]=0xc000; this->blue[107]=0xcb00; // pink
    this->red[108]=0xff00; this->green[108]=0xb600; this->blue[108]=0xc100; // light pink
    this->red[109]=0xdb00; this->green[109]=0x7000; this->blue[109]=0x9300; // pale violet red
    this->red[110]=0xb000; this->green[110]=0x3000; this->blue[110]=0x6000; // maroon
    this->red[111]=0xc700; this->green[111]=0x1500; this->blue[111]=0x8500; // medium violet red
    this->red[112]=0xd000; this->green[112]=0x2000; this->blue[112]=0x9000; // violet red
    this->red[113]=0xff00; this->green[113]=0x0000; this->blue[113]=0xff00; // magenta
    this->red[114]=0xee00; this->green[114]=0x8200; this->blue[114]=0xee00; // violet
    this->red[115]=0xdd00; this->green[115]=0xa000; this->blue[115]=0xdd00; // plum
    this->red[116]=0xda00; this->green[116]=0x7000; this->blue[116]=0xd600; // orchid
    this->red[117]=0xba00; this->green[117]=0x5500; this->blue[117]=0xd300; // medium orchid
    this->red[118]=0x9900; this->green[118]=0x3200; this->blue[118]=0xcc00; // dark orchid
    this->red[119]=0x9400; this->green[119]=0x0000; this->blue[119]=0xd300; // dark violet
    this->red[120]=0x8a00; this->green[120]=0x2b00; this->blue[120]=0xe200; // blue violet
    this->red[121]=0xa000; this->green[121]=0x2000; this->blue[121]=0xf000; // purple
    this->red[122]=0x9300; this->green[122]=0x7000; this->blue[122]=0xdb00; // medium purple
    this->red[123]=0xd800; this->green[123]=0xbf00; this->blue[123]=0xd800; // thistle
    this->red[124]=0xff00; this->green[124]=0xfa00; this->blue[124]=0xfa00; // snow1
    this->red[125]=0xee00; this->green[125]=0xe900; this->blue[125]=0xe900; // snow2
    this->red[126]=0xff00; this->green[126]=0xf500; this->blue[126]=0xee00; // seashell1
    this->red[127]=0xee00; this->green[127]=0xe500; this->blue[127]=0xde00; // seashell2
    this->red[128]=0xff00; this->green[128]=0xef00; this->blue[128]=0xdb00; // AntiqueWhite1
    this->red[129]=0xee00; this->green[129]=0xdf00; this->blue[129]=0xcc00; // AntiqueWhite2
    this->red[130]=0xff00; this->green[130]=0xe400; this->blue[130]=0xc400; // bisque1
    this->red[131]=0xee00; this->green[131]=0xd500; this->blue[131]=0xb700; // bisque2
    this->red[132]=0xff00; this->green[132]=0xda00; this->blue[132]=0xb900; // PeachPuff1
    this->red[133]=0xee00; this->green[133]=0xcb00; this->blue[133]=0xad00; // PeachPuff2
    this->red[134]=0xff00; this->green[134]=0xde00; this->blue[134]=0xad00; // NavajoWhite1
    this->red[135]=0xee00; this->green[135]=0xcf00; this->blue[135]=0xa100; // NavajoWhite2
    this->red[136]=0xff00; this->green[136]=0xfa00; this->blue[136]=0xcd00; // LemonChiffon1
    this->red[137]=0xee00; this->green[137]=0xe900; this->blue[137]=0xbf00; // LemonChiffon2
    this->red[138]=0xff00; this->green[138]=0xf800; this->blue[138]=0xdc00; // cornsilk1
    this->red[139]=0xee00; this->green[139]=0xe800; this->blue[139]=0xcd00; // cornsilk2
    this->red[140]=0xff00; this->green[140]=0xff00; this->blue[140]=0xf000; // ivory1
    this->red[141]=0xee00; this->green[141]=0xee00; this->blue[141]=0xe000; // ivory2
    this->red[142]=0xf000; this->green[142]=0xff00; this->blue[142]=0xf000; // honeydew1
    this->red[143]=0xe000; this->green[143]=0xee00; this->blue[143]=0xe000; // honeydew2
    this->red[144]=0xff00; this->green[144]=0xf000; this->blue[144]=0xf500; // LavenderBlush1
    this->red[145]=0xee00; this->green[145]=0xe000; this->blue[145]=0xe500; // LavenderBlush2
    this->red[146]=0xff00; this->green[146]=0xe400; this->blue[146]=0xe100; // MistyRose1
    this->red[147]=0xee00; this->green[147]=0xd500; this->blue[147]=0xd200; // MistyRose2
    this->red[148]=0xf000; this->green[148]=0xff00; this->blue[148]=0xff00; // azure1
    this->red[149]=0xe000; this->green[149]=0xee00; this->blue[149]=0xee00; // azure2
    this->red[150]=0x8300; this->green[150]=0x6f00; this->blue[150]=0xff00; // SlateBlue1
    this->red[151]=0x7a00; this->green[151]=0x6700; this->blue[151]=0xee00; // SlateBlue2
    this->red[152]=0x4800; this->green[152]=0x7600; this->blue[152]=0xff00; // RoyalBlue1
    this->red[153]=0x4300; this->green[153]=0x6e00; this->blue[153]=0xee00; // RoyalBlue2
    this->red[154]=0x0000; this->green[154]=0x0000; this->blue[154]=0xff00; // blue1
    this->red[155]=0x0000; this->green[155]=0x0000; this->blue[155]=0xee00; // blue2
    this->red[156]=0x1e00; this->green[156]=0x9000; this->blue[156]=0xff00; // DodgerBlue1
    this->red[157]=0x1c00; this->green[157]=0x8600; this->blue[157]=0xee00; // DodgerBlue2
    this->red[158]=0x6300; this->green[158]=0xb800; this->blue[158]=0xff00; // SteelBlue1
    this->red[159]=0x5c00; this->green[159]=0xac00; this->blue[159]=0xee00; // SteelBlue2
    this->red[160]=0x0000; this->green[160]=0xbf00; this->blue[160]=0xff00; // DeepSkyBlue1
    this->red[161]=0x0000; this->green[161]=0xb200; this->blue[161]=0xee00; // DeepSkyBlue2
    this->red[162]=0x8700; this->green[162]=0xce00; this->blue[162]=0xff00; // SkyBlue1
    this->red[163]=0x7e00; this->green[163]=0xc000; this->blue[163]=0xee00; // SkyBlue2
    this->red[164]=0xb000; this->green[164]=0xe200; this->blue[164]=0xff00; // LightSkyBlue1
    this->red[165]=0xa400; this->green[165]=0xd300; this->blue[165]=0xee00; // LightSkyBlue2
    this->red[166]=0xc600; this->green[166]=0xe200; this->blue[166]=0xff00; // SlateGray1
    this->red[167]=0xb900; this->green[167]=0xd300; this->blue[167]=0xee00; // SlateGray2
    this->red[168]=0xca00; this->green[168]=0xe100; this->blue[168]=0xff00; // LightSteelBlue1
    this->red[169]=0xbc00; this->green[169]=0xd200; this->blue[169]=0xee00; // LightSteelBlue2
    this->red[170]=0xbf00; this->green[170]=0xef00; this->blue[170]=0xff00; // LightBlue1
    this->red[171]=0xb200; this->green[171]=0xdf00; this->blue[171]=0xee00; // LightBlue2
    this->red[172]=0xe000; this->green[172]=0xff00; this->blue[172]=0xff00; // LightCyan1
    this->red[173]=0xd100; this->green[173]=0xee00; this->blue[173]=0xee00; // LightCyan2
    this->red[174]=0xbb00; this->green[174]=0xff00; this->blue[174]=0xff00; // PaleTurquoise1
    this->red[175]=0xae00; this->green[175]=0xee00; this->blue[175]=0xee00; // PaleTurquoise2
    this->red[176]=0x9800; this->green[176]=0xf500; this->blue[176]=0xff00; // CadetBlue1
    this->red[177]=0x8e00; this->green[177]=0xe500; this->blue[177]=0xee00; // CadetBlue2
    this->red[178]=0x0000; this->green[178]=0xf500; this->blue[178]=0xff00; // turquoise1
    this->red[179]=0x0000; this->green[179]=0xe500; this->blue[179]=0xee00; // turquoise2
    this->red[180]=0x0000; this->green[180]=0xff00; this->blue[180]=0xff00; // cyan1
    this->red[181]=0x0000; this->green[181]=0xee00; this->blue[181]=0xee00; // cyan2
    this->red[182]=0x9700; this->green[182]=0xff00; this->blue[182]=0xff00; // DarkSlateGray1
    this->red[183]=0x8d00; this->green[183]=0xee00; this->blue[183]=0xee00; // DarkSlateGray2
    this->red[184]=0x7f00; this->green[184]=0xff00; this->blue[184]=0xd400; // aquamarine1
    this->red[185]=0x7600; this->green[185]=0xee00; this->blue[185]=0xc600; // aquamarine2
    this->red[186]=0xc100; this->green[186]=0xff00; this->blue[186]=0xc100; // DarkSeaGreen1
    this->red[187]=0xb400; this->green[187]=0xee00; this->blue[187]=0xb400; // DarkSeaGreen2
    this->red[188]=0x5400; this->green[188]=0xff00; this->blue[188]=0x9f00; // SeaGreen1
    this->red[189]=0x4e00; this->green[189]=0xee00; this->blue[189]=0x9400; // SeaGreen2
    this->red[190]=0x9a00; this->green[190]=0xff00; this->blue[190]=0x9a00; // PaleGreen1
    this->red[191]=0x9000; this->green[191]=0xee00; this->blue[191]=0x9000; // PaleGreen2
    this->red[192]=0x0000; this->green[192]=0xff00; this->blue[192]=0x7f00; // SpringGreen1
    this->red[193]=0x0000; this->green[193]=0xee00; this->blue[193]=0x7600; // SpringGreen2
    this->red[194]=0x0000; this->green[194]=0xff00; this->blue[194]=0x0000; // green1
    this->red[195]=0x0000; this->green[195]=0xee00; this->blue[195]=0x0000; // green2
    this->red[196]=0x7f00; this->green[196]=0xff00; this->blue[196]=0x0000; // chartreuse1
    this->red[197]=0x7600; this->green[197]=0xee00; this->blue[197]=0x0000; // chartreuse2
    this->red[198]=0xc000; this->green[198]=0xff00; this->blue[198]=0x3e00; // OliveDrab1
    this->red[199]=0xb300; this->green[199]=0xee00; this->blue[199]=0x3a00; // OliveDrab2
    this->red[200]=0xca00; this->green[200]=0xff00; this->blue[200]=0x7000; // DarkOliveGreen1
    this->red[201]=0xbc00; this->green[201]=0xee00; this->blue[201]=0x6800; // DarkOliveGreen2
    this->red[202]=0xff00; this->green[202]=0xf600; this->blue[202]=0x8f00; // khaki1
    this->red[203]=0xee00; this->green[203]=0xe600; this->blue[203]=0x8500; // khaki2
    this->red[204]=0xff00; this->green[204]=0xec00; this->blue[204]=0x8b00; // LightGoldenrod1
    this->red[205]=0xee00; this->green[205]=0xdc00; this->blue[205]=0x8200; // LightGoldenrod2
    this->red[206]=0xff00; this->green[206]=0xff00; this->blue[206]=0xe000; // LightYellow1
    this->red[207]=0xee00; this->green[207]=0xee00; this->blue[207]=0xd100; // LightYellow2
    this->red[208]=0xff00; this->green[208]=0xff00; this->blue[208]=0x0000; // yellow1
    this->red[209]=0xee00; this->green[209]=0xee00; this->blue[209]=0x0000; // yellow2
    this->red[210]=0xff00; this->green[210]=0xd700; this->blue[210]=0x0000; // gold1
    this->red[211]=0xee00; this->green[211]=0xc900; this->blue[211]=0x0000; // gold2
    this->red[212]=0xff00; this->green[212]=0xc100; this->blue[212]=0x2500; // goldenrod1
    this->red[213]=0xee00; this->green[213]=0xb400; this->blue[213]=0x2200; // goldenrod2
    this->red[214]=0xff00; this->green[214]=0xb900; this->blue[214]=0x0f00; // DarkGoldenrod1
    this->red[215]=0xee00; this->green[215]=0xad00; this->blue[215]=0x0e00; // DarkGoldenrod2
    this->red[216]=0xff00; this->green[216]=0xc100; this->blue[216]=0xc100; // RosyBrown1
    this->red[217]=0xee00; this->green[217]=0xb400; this->blue[217]=0xb400; // RosyBrown2
    this->red[218]=0xff00; this->green[218]=0x6a00; this->blue[218]=0x6a00; // IndianRed1
    this->red[219]=0xee00; this->green[219]=0x6300; this->blue[219]=0x6300; // IndianRed2
    this->red[220]=0xff00; this->green[220]=0x8200; this->blue[220]=0x4700; // sienna1
    this->red[221]=0xee00; this->green[221]=0x7900; this->blue[221]=0x4200; // sienna2
    this->red[222]=0xff00; this->green[222]=0xd300; this->blue[222]=0x9b00; // burlywood1
    this->red[223]=0xee00; this->green[223]=0xc500; this->blue[223]=0x9100; // burlywood2
    this->red[224]=0xff00; this->green[224]=0xe700; this->blue[224]=0xba00; // wheat1
    this->red[225]=0xee00; this->green[225]=0xd800; this->blue[225]=0xae00; // wheat2
    this->red[226]=0xff00; this->green[226]=0xa500; this->blue[226]=0x4f00; // tan1
    this->red[227]=0xee00; this->green[227]=0x9a00; this->blue[227]=0x4900; // tan2
    this->red[228]=0xff00; this->green[228]=0x7f00; this->blue[228]=0x2400; // chocolate1
    this->red[229]=0xee00; this->green[229]=0x7600; this->blue[229]=0x2100; // chocolate2
    this->red[230]=0xff00; this->green[230]=0x3000; this->blue[230]=0x3000; // firebrick1
    this->red[231]=0xee00; this->green[231]=0x2c00; this->blue[231]=0x2c00; // firebrick2
    this->red[232]=0xff00; this->green[232]=0x4000; this->blue[232]=0x4000; // brown1
    this->red[233]=0xee00; this->green[233]=0x3b00; this->blue[233]=0x3b00; // brown2
    this->red[234]=0xff00; this->green[234]=0x8c00; this->blue[234]=0x6900; // salmon1
    this->red[235]=0xee00; this->green[235]=0x8200; this->blue[235]=0x6200; // salmon2
    this->red[236]=0xff00; this->green[236]=0xa000; this->blue[236]=0x7a00; // LightSalmon1
    this->red[237]=0xee00; this->green[237]=0x9500; this->blue[237]=0x7200; // LightSalmon2
    this->red[238]=0xff00; this->green[238]=0xa500; this->blue[238]=0x0000; // orange1
    this->red[239]=0xee00; this->green[239]=0x9a00; this->blue[239]=0x0000; // orange2
    this->red[240]=0xff00; this->green[240]=0x7f00; this->blue[240]=0x0000; // DarkOrange1
    this->red[241]=0xee00; this->green[241]=0x7600; this->blue[241]=0x0000; // DarkOrange2
    this->red[242]=0xff00; this->green[242]=0x7200; this->blue[242]=0x5600; // coral1
    this->red[243]=0xee00; this->green[243]=0x6a00; this->blue[243]=0x5000; // coral2
    this->red[244]=0xff00; this->green[244]=0x6300; this->blue[244]=0x4700; // tomato1
    this->red[245]=0xee00; this->green[245]=0x5c00; this->blue[245]=0x4200; // tomato2
    this->red[246]=0xff00; this->green[246]=0x4500; this->blue[246]=0x0000; // OrangeRed1
    this->red[247]=0xee00; this->green[247]=0x4000; this->blue[247]=0x0000; // OrangeRed2
    this->red[248]=0xff00; this->green[248]=0x0000; this->blue[248]=0x0000; // red1
    this->red[249]=0xee00; this->green[249]=0x0000; this->blue[249]=0x0000; // red2
    this->red[250]=0xff00; this->green[250]=0x1400; this->blue[250]=0x9300; // DeepPink1
    this->red[251]=0xee00; this->green[251]=0x1200; this->blue[251]=0x8900; // DeepPink2
    this->red[252]=0xff00; this->green[252]=0x6e00; this->blue[252]=0xb400; // HotPink1
    this->red[253]=0xee00; this->green[253]=0x6a00; this->blue[253]=0xa700; // HotPink2
    this->red[254]=0xff00; this->green[254]=0xb500; this->blue[254]=0xc500; // pink1
    this->red[255]=0xee00; this->green[255]=0xa900; this->blue[255]=0xb800; // pink2
    this->red[256]=0xff00; this->green[256]=0xae00; this->blue[256]=0xb900; // LightPink1
    this->red[257]=0xee00; this->green[257]=0xa200; this->blue[257]=0xad00; // LightPink2
    this->red[258]=0xff00; this->green[258]=0x8200; this->blue[258]=0xab00; // PaleVioletRed1
    this->red[259]=0xee00; this->green[259]=0x7900; this->blue[259]=0x9f00; // PaleVioletRed2
    this->red[260]=0xff00; this->green[260]=0x3400; this->blue[260]=0xb300; // maroon1
    this->red[261]=0xee00; this->green[261]=0x3000; this->blue[261]=0xa700; // maroon2
    this->red[262]=0xff00; this->green[262]=0x3e00; this->blue[262]=0x9600; // VioletRed1
    this->red[263]=0xee00; this->green[263]=0x3a00; this->blue[263]=0x8c00; // VioletRed2
    this->red[264]=0xff00; this->green[264]=0x0000; this->blue[264]=0xff00; // magenta1
    this->red[265]=0xee00; this->green[265]=0x0000; this->blue[265]=0xee00; // magenta2
    this->red[266]=0xff00; this->green[266]=0x8300; this->blue[266]=0xfa00; // orchid1
    this->red[267]=0xee00; this->green[267]=0x7a00; this->blue[267]=0xe900; // orchid2
    this->red[268]=0xff00; this->green[268]=0xbb00; this->blue[268]=0xff00; // plum1
    this->red[269]=0xee00; this->green[269]=0xae00; this->blue[269]=0xee00; // plum2
    this->red[270]=0xe000; this->green[270]=0x6600; this->blue[270]=0xff00; // MediumOrchid1
    this->red[271]=0xd100; this->green[271]=0x5f00; this->blue[271]=0xee00; // MediumOrchid2
    this->red[272]=0xbf00; this->green[272]=0x3e00; this->blue[272]=0xff00; // DarkOrchid1
    this->red[273]=0xb200; this->green[273]=0x3a00; this->blue[273]=0xee00; // DarkOrchid2
    this->red[274]=0x9b00; this->green[274]=0x3000; this->blue[274]=0xff00; // purple1
    this->red[275]=0x9100; this->green[275]=0x2c00; this->blue[275]=0xee00; // purple2
    this->red[276]=0xab00; this->green[276]=0x8200; this->blue[276]=0xff00; // MediumPurple1
    this->red[277]=0x9f00; this->green[277]=0x7900; this->blue[277]=0xee00; // MediumPurple2
    this->red[278]=0xff00; this->green[278]=0xe100; this->blue[278]=0xff00; // thistle1
    this->red[279]=0xee00; this->green[279]=0xd200; this->blue[279]=0xee00; // thistle2
    this->red[280]=0x0000; this->green[280]=0x0000; this->blue[280]=0x8b00; // dark blue
    this->red[281]=0x0000; this->green[281]=0x8b00; this->blue[281]=0x8b00; // dark cyan
    this->red[282]=0x8b00; this->green[282]=0x0000; this->blue[282]=0x8b00; // dark magenta
    this->red[283]=0x8b00; this->green[283]=0x0000; this->blue[283]=0x0000; // dark red
    this->red[284]=0x9000; this->green[284]=0xee00; this->blue[284]=0x9000; // light green
}
